Bug 1112147 - (CVE-2018-3180) VUL-0: CVE-2018-3180: java-1_7_0-openjdk, java-1_8_0-openjdk, java-11-openjdk: Unspecified vulnerability in subcomponent: JSSE
(CVE-2018-3180)
VUL-0: CVE-2018-3180: java-1_7_0-openjdk, java-1_8_0-openjdk, java-11-openjdk...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Fridrich Strba
Security Team bot
CVSSv3:RedHat:CVE-2018-3180:4.8:(AV:N...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-17 10:20 UTC by Alexander Bergmann
Modified: 2019-06-05 22:37 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2018-10-17 10:20:01 UTC
Oracle October 2018 Patch Day.

https://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html#AppendixJAVA
https://www.oracle.com/technetwork/security-advisory/cpuoct2018verbose-5170927.html#JAVA

CVE-2018-3180

Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: JSSE). Supported versions that are affected are Java SE: 6u201, 7u191, 8u182 and 11; Java SE Embedded: 8u181; JRockit: R28.3.19. Difficult to exploit vulnerability allows unauthenticated attacker with network access via SSL/TLS to compromise Java SE, Java SE Embedded, JRockit. Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of Java SE, Java SE Embedded, JRockit accessible data as well as unauthorized read access to a subset of Java SE, Java SE Embedded, JRockit accessible data and unauthorized ability to cause a partial denial of service (partial DOS) of Java SE, Java SE Embedded, JRockit.

Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs.

CVSS v3.0 Base Score 5.6 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L).
Comment 2 Swamp Workflow Management 2018-10-18 22:11:48 UTC
openSUSE-SU-2018:3235-1: An update that solves 8 vulnerabilities and has one errata is now available.

Category: security (moderate)
Bug References: 1111162,1112142,1112143,1112144,1112145,1112146,1112147,1112148,1112149
CVE References: CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3150,CVE-2018-3157,CVE-2018-3169,CVE-2018-3180,CVE-2018-3183
Sources used:
openSUSE Leap 15.0 (src):    java-11-openjdk-11.0.1.0-lp150.2.6.1
Comment 5 Swamp Workflow Management 2019-01-09 20:11:36 UTC
SUSE-SU-2019:0049-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1101644,1101645,1101651,1101656,1112142,1112143,1112144,1112146,1112147,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-2938,CVE-2018-2940,CVE-2018-2952,CVE-2018-2973,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3214,CVE-2018-3639
Sources used:
SUSE OpenStack Cloud 7 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server 12-SP4 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Server 12-LTSS (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
SUSE Enterprise Storage 4 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1
Comment 6 Swamp Workflow Management 2019-01-10 20:13:51 UTC
SUSE-SU-2019:0057-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1112142,1112143,1112144,1112146,1112147,1112148,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3183,CVE-2018-3214
Sources used:
SUSE OpenStack Cloud 7 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Server 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Server 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Server 12-SP1-LTSS (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
SUSE Enterprise Storage 4 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1
Comment 7 Swamp Workflow Management 2019-01-10 20:15:49 UTC
SUSE-SU-2019:0058-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1112142,1112143,1112144,1112146,1112147,1112148,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3183,CVE-2018-3214
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15 (src):    java-1_8_0-openjdk-1.8.0.191-3.13.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    java-1_8_0-openjdk-1.8.0.191-3.13.1
SUSE Linux Enterprise Module for Legacy Software 15 (src):    java-1_8_0-openjdk-1.8.0.191-3.13.1
Comment 8 Swamp Workflow Management 2019-01-12 02:11:01 UTC
openSUSE-SU-2019:0043-1: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1112142,1112143,1112144,1112146,1112147,1112148,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3183,CVE-2018-3214
Sources used:
openSUSE Leap 42.3 (src):    java-1_8_0-openjdk-1.8.0.191-30.1
openSUSE Leap 15.0 (src):    java-1_8_0-openjdk-1.8.0.191-lp150.2.9.2
Comment 9 Swamp Workflow Management 2019-01-12 02:19:45 UTC
openSUSE-SU-2019:0042-1: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1101644,1101645,1101651,1101656,1112142,1112143,1112144,1112146,1112147,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-2938,CVE-2018-2940,CVE-2018-2952,CVE-2018-2973,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3214,CVE-2018-3639
Sources used:
openSUSE Leap 42.3 (src):    java-1_7_0-openjdk-1.7.0.201-54.1, java-1_7_0-openjdk-bootstrap-1.7.0.201-54.1
Comment 10 Swamp Workflow Management 2019-04-12 22:12:04 UTC
SUSE-SU-2019:0049-2: An update that fixes 13 vulnerabilities is now available.

Category: security (important)
Bug References: 1101644,1101645,1101651,1101656,1112142,1112143,1112144,1112146,1112147,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-2938,CVE-2018-2940,CVE-2018-2952,CVE-2018-2973,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3214,CVE-2018-3639
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_7_0-openjdk-1.7.0.201-43.18.1

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2019-04-27 22:09:57 UTC
SUSE-SU-2019:0057-2: An update that fixes 9 vulnerabilities is now available.

Category: security (important)
Bug References: 1112142,1112143,1112144,1112146,1112147,1112148,1112152,1112153
CVE References: CVE-2018-13785,CVE-2018-16435,CVE-2018-3136,CVE-2018-3139,CVE-2018-3149,CVE-2018-3169,CVE-2018-3180,CVE-2018-3183,CVE-2018-3214
Sources used:
SUSE Linux Enterprise Server for SAP 12-SP1 (src):    java-1_8_0-openjdk-1.8.0.191-27.29.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Marcus Meissner 2019-05-29 06:40:18 UTC
done